## commons-daemon 1.0

=== src/native/nt/procrun/Makefile ===
JAVA_HOME=c:/j2sdk1.4.1_01
INCLUDE=-I. -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/win32
BIN=.
# CFLAGS for debugging
#CFLAGS=-D_DEBUG

all: $(BIN)/procrun $(BIN)/procrunw

$(BIN)/procrun: procrun.c
	gcc -mno-cygwin $(INCLUDE) $(CFLAGS) -DPROCRUN_CONSOLE procrun.c \
	-lshlwapi \
	-o $(BIN)/procrun

$(BIN)/procrunw: procrun.c
	gcc -mno-cygwin $(INCLUDE) $(CFLAGS) -DPROCRUN_WINAPP -c procgui.c
	gcc -mno-cygwin $(INCLUDE) $(CFLAGS) -DPROCRUN_WINAPP procrun.c \
	procgui.o \
	-lshlwapi \
	-lcomctl32 \
	-o $(BIN)/procrunw

## commons-daemon 1.0.1

=== src/native/nt/Makefile ===
all:
	(cd service; make)
	(cd moni; make)

=== src/native/nt/moni/Makefile ===
INCLUDE=-I../lib
BIN=../../../../dist
all: $(BIN)/vdmoniadm $(BIN)/vdmonisvc

$(BIN)/vdmoniadm: vdmoniadm.c
	gcc $(INCLUDE) -I../executables/vdmoniadm  vdmoniadm.c \
	-o $(BIN)/vdmoniadm -lgdi32
$(BIN)/vdmonisvc: vdmonisvc.c vdenv.o kills.o
	gcc -mno-cygwin -I/usr/include $(INCLUDE) -I../executables/vdmonisvc \
	-DCYGWIN vdmonisvc.c \
	-o $(BIN)/vdmonisvc vdenv.o kills.o
vdenv.o: ../supcalls_nt/vdenv.c
	gcc $(INCLUDE) -c ../supcalls_nt/vdenv.c
kills.o: ../signals/kills.c
	gcc $(INCLUDE) -c ../signals/kills.c

=== src/native/nt/service/Makefile ===
INCLUDE=-I../lib -I ../../unix/native
../../../../dist/INSTSVC: instmain.c arguments.o debug.o
	gcc $(INCLUDE) instmain.c   -o ../../../../dist/INSTSVC arguments.o debug.o
arguments.o: ../../unix/native/arguments.c
	gcc -c $(INCLUDE) ../../unix/native/arguments.c
debug.o: ../../unix/native/debug.c
	gcc -c $(INCLUDE) ../../unix/native/debug.c

## commons-daemon 1.0.2~svn20061127

=== src/native/nt/Makefile ===
all:
	(cd service; make)
	(cd moni; make)
clean:
	(cd service; make clean)
	(cd moni; make clean)

=== src/native/nt/moni/Makefile ===
--- 
+++ 
@@ -13,3 +13,5 @@
 	gcc $(INCLUDE) -c ../supcalls_nt/vdenv.c
 kills.o: ../signals/kills.c
 	gcc $(INCLUDE) -c ../signals/kills.c
+clean:
+	rm -f vdenv.o kills.o

=== src/native/nt/service/Makefile ===
--- 
+++ 
@@ -5,3 +5,5 @@
 	gcc -c $(INCLUDE) ../../unix/native/arguments.c
 debug.o: ../../unix/native/debug.c
 	gcc -c $(INCLUDE) ../../unix/native/debug.c
+clean:
+	rm -f arguments.o debug.o

## commons-daemon 1.0.2

=== debian/changelog ===
commons-daemon (1.0.2-2) unstable; urgency=low

  * Re-add missing patches (lost during merge of new upstream release):
    - debian/patches/syslog.diff: Support for logging to syslog.
    - debian/patches/old_capabilities.diff: Work with older Linux capabilities.
    - debian/patches/libgcj_PR31700.diff: Bug in GCJ handling of -X options.
    - debian/patches/*_support.diff: Support for other Debian architectures.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Jul 2010 14:59:18 +0200

commons-daemon (1.0.2-1) unstable; urgency=low

  [ Thierry Carrez ]
  * debian/control, debian/rules: Build with default-jdk
  * debian/rules: Depend on -headless runtimes
  * debian/rules: Set java source/target to 1.4 to match depends

  [ Torsten Werner ]
  * Re-add changes made by Emmanuel Bourg:
    - Update of the URLs
    - Rename Jakarta Commons to Apache Commons

  [ Damien Raude-Morvan ]
  * New upstream stable release (Closes: #578661).
    - d/watch: Update URL for new upstream release.
  * d/patches/sh4-support.diff: Add support for sh4 arch (Closes: #564166).
  * d/control: Remove Arnaud and add myself from Uploaders.
  * Updated to Standards-Version 3.9.1:
    - d/control: Add recommended get-orig-source target.
  * d/control: Add ${misc:Depends} to Depends.
  * Switch to 3.0 (quilt) format.
  * Use Debhelper 7:
    - d/rules: Use dh 7 and cleanup our rules file.
    - d/*.dirs: Removed not needed anymore.
  * d/libcommons-daemon-java.doc-base and d/rules: Install API Javadoc to
    /usr/share/doc/libcommons-daemon-java/api.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 27 Jul 2010 21:39:41 +0200

commons-daemon (1.0.2~svn20061127-10) unstable; urgency=low

  * Build-Depends on libcap2-dev (Closes: #506548).
  * Added kfreebsd-* support to src/native/unix/support/apsupport.m4
    (Closes: #498376).
  * Point stdout and stderr to /dev/null for the daemon process
    (Closes: #491500, #507968).
  * Build-Depends on debhelper >= 7.
  * Replace dh_clean -k with dh_prep.
  * Moved package to section 'java'.
  * Rewrote debian/copyright to refer to
    /usr/share/common-licenses/Apache-2.0.
  * Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 17 Sep 2009 22:54:55 +0200

commons-daemon (1.0.2~svn20061127-9) unstable; urgency=low

  * Added patch to handle old capabilities version in jsvc-unix.c.
    Closes: #412690

 -- Michael Koch <konqueror@gmx.de>  Wed, 07 May 2008 20:03:55 +0200

commons-daemon (1.0.2~svn20061127-8) unstable; urgency=low

  * Clean src/native/unix/configure. Closes: #478503
  * Put jsvc into section utils.

 -- Michael Koch <konqueror@gmx.de>  Wed, 30 Apr 2008 05:12:17 -0100

commons-daemon (1.0.2~svn20061127-7) unstable; urgency=low

  * Updated watch file.
  * Updated Standards-Version to 3.7.3.
  * Remove bashism in debian/rules. (Closes: #478365).
  * Build-Depend on default-jdk-builddep. (Closes: #477853).
  * Renamed XS-Vcs-* fields to Vcs-*.
  * Added Homepage field.

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 04:40:33 -0100

commons-daemon (1.0.2~svn20061127-6) unstable; urgency=low

  * Applied a workaround for a JNI bug in libgcj (see
    http://gcc.gnu.org/PR31700).

 -- Marcus Better <marcus@better.se>  Wed, 25 Apr 2007 15:11:01 +0200

commons-daemon (1.0.2~svn20061127-5) unstable; urgency=low

  * jsvc can now redirect daemon output to syslog. (Closes: #402878)
  * Added support for the ppc64 architecture. Thanks to Andreas
    Jochens. (Closes: #404704)
  * Print a useful error message if the capabilities module is
    missing. Thanks to Adrian Bridgett. (Closes: #412478)
  * Don't use included config.sub and config.guess.

 -- Marcus Better <marcus@better.se>  Wed, 13 Dec 2006 15:09:58 +0100

commons-daemon (1.0.2~svn20061127-4) unstable; urgency=low

  * Apparently buildds don't grok Build-Depends-Indep. Moved to
    Build-Depends as a workaround.

 -- Marcus Better <marcus@better.se>  Mon,  4 Dec 2006 14:29:08 +0100

commons-daemon (1.0.2~svn20061127-3) unstable; urgency=low

  * Build-depend on java-gcj-compat-dev instead of Build-depend-indep.

 -- Marcus Better <marcus@better.se>  Mon,  4 Dec 2006 12:50:35 +0100

commons-daemon (1.0.2~svn20061127-2) unstable; urgency=low

  * Build-depend on autoconf instead of Build-depend-indep.

 -- Marcus Better <marcus@better.se>  Thu, 30 Nov 2006 09:39:54 +0100

commons-daemon (1.0.2~svn20061127-1) unstable; urgency=low

  * Support the arm, hppa, ia64, m68k, mipsel, and s390
    architectures. (Closes: #307853)
  * Don't include irrelevant README. (Closes: #394169)
  * The jsvc-dev package is no longer built as it's not useful.
  * debian/control:
    - Fix build deps: remove libxerces2-java and libjaxp1.2-java, add autoconf
      and docbook-to-man.
    - Clean up package descriptions.
  * debian/rules:
    - Get rid of CDBS.
    - Pass correct host options to autoconf.

 -- Marcus Better <marcus@better.se>  Tue, 28 Nov 2006 13:49:20 +0100

commons-daemon (1.0.1-3) unstable; urgency=low

  * Apply a patch to support ppc64 arch, thanks to Andreas Jochens
    (closes: #361831)

 -- Arnaud Vandyck <avdyk@debian.org>  Mon,  3 Jul 2006 11:04:55 +0200

commons-daemon (1.0.1-2) unstable; urgency=low

  * (Builds-)Depends on java-gcj-compat(-dev) instead of kaffe(-dev)
    (Closes: #358343).
  * Update Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Sat,  1 Jul 2006 15:56:17 +0000

commons-daemon (1.0.1-1) unstable; urgency=low

  * New upstream release
    + updated manpage for new options
    + amd64 now supported 
      (I will leave 307853 open until all debian platforms are supported)
  * Patch from upstream CVS to fix invalid execve() usage (closes: #314937)
  * libant1.6-java to ant transition (closes: #326436)
  * Added autotools-dev to let cdbs update the config.guess/sub
  * Standards-Version 3.6.2 (no changes)

  * Upload sponsored by XXX

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 10 Sep 2005 17:45:46 +0200 



=== debian/control ===
Source: commons-daemon
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Marcus Better <marcus@better.se>,
 Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autoconf, autotools-dev, default-jdk, xsltproc, docbook-xsl, ant
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.1
Homepage: http://commons.apache.org/daemon/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/commons-daemon/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/commons-daemon/

Package: libcommons-daemon-java
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless
Suggests: java-virtual-machine
Recommends: jsvc
Description: library to launch Java applications as daemons
 The Daemon package from Apache Commons can be used to implement Java
 applications which can be launched as daemons. For example the
 program will be notified about a shutdown so that it can perform
 cleanup tasks before its process of execution is destroyed by the
 operation system.
 .
 This package contains the java library. You will also need the actual
 binary for your architecture which is provided by the jsvc package.

Package: jsvc
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcommons-daemon-java
Description: wrapper to launch Java applications as daemons
 This is the native application for launching Java applications
 implementing certain interfaces from the libcommons-daemon-java
 package as daemons.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

JAVA_HOME	:= /usr/lib/jvm/default-java
ANT_ARGS	:= -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4

MAN_STYLESHEET  := /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XSLTPROC 	:= xsltproc --nonet

PKGNAME		:= commons-daemon
JAVALIBDIR	:= /usr/share/java
VERSION		:= $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

NATIVE_SRC	:= src/native/unix

# Keep that here as dh7 doesn't handle a configure script inside a subdirectory
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --sourcedirectory=$(NATIVE_SRC) --buildsystem=autoconf --with autotools_dev

override_dh_auto_configure:
	(cd $(NATIVE_SRC); autoconf; ./configure $(confflags) CFLAGS="$(CFLAGS)" --with-java=$(JAVA_HOME))

override_dh_auto_build:
	JAVA_HOME=$(JAVA_HOME) ant $(ANT_ARGS)
	dh_auto_build --sourcedirectory=$(NATIVE_SRC)
	$(XSLTPROC) $(MAN_STYLESHEET) $(NATIVE_SRC)/man/jsvc.1.xml

override_dh_auto_clean:
	JAVA_HOME=$(JAVA_HOME) ant $(ANT_ARGS) clean
	dh_auto_clean
	rm -f jsvc.1

override_dh_auto_install:
	dh_auto_install
	dh_install -plib$(PKGNAME)-java dist/$(PKGNAME)-$(VERSION).jar $(JAVALIBDIR)
	dh_link -plib$(PKGNAME)-java $(JAVALIBDIR)/$(PKGNAME)-$(VERSION).jar $(JAVALIBDIR)/$(PKGNAME).jar

get-orig-source:
	uscan --force-download --rename

## commons-daemon 1.0.4

=== debian/changelog ===
commons-daemon (1.0.4-1ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: permissions bypass via incorrect capability dropping
    - debian/patches/CVE-2011-2729.diff: correctly drop capabilities in
      src/native/unix/native/jsvc-unix.c.
    - CVE-2011-2729

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Nov 2011 11:19:39 -0500

commons-daemon (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - d/patches/syslog.diff: merged upstream.
    - d/patches/jsvc_reopen_usr1.diff: merged upstream.
    - d/patches/hurd_support.diff: use "gnu" instead of "hurd".

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Nov 2010 18:05:41 +0100

commons-daemon (1.0.3-2) UNRELEASED; urgency=low

  * d/patches/jsvc_reopen_usr1.diff:
    Make jsvc reopen log files on SIGUSR1 (Closes: #460183).

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 31 Aug 2010 00:26:47 +0200

commons-daemon (1.0.3-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/old_capabilities.diff: merged upstream.
    - no more prebuilt ELF objects in source tarball.
  * d/pacthes/syslog.diff: Updated to keep timestamp when SYSLOG support
    is not enabled.
  * d/patches/hurd_support.diff: tentative support for GNU/Hurd OS.
  * d/control: B-D on libcap-dev for all Linux OS.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 05 Aug 2010 18:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: commons-daemon
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Marcus Better <marcus@better.se>,
  Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autoconf, autotools-dev, default-jdk, xsltproc, docbook-xsl, ant
+Build-Depends: debhelper (>= 7.0.50~), autoconf, autotools-dev, default-jdk,
+ xsltproc, docbook-xsl, ant, libcap-dev [linux-any]
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.1
 Homepage: http://commons.apache.org/daemon/

## commons-daemon 1.0.6

=== debian/changelog ===
commons-daemon (1.0.6-1ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: permissions bypass via incorrect capability dropping
    - debian/patches/CVE-2011-2729.diff: correctly drop capabilities in
      src/native/unix/native/jsvc-unix.c.
    - CVE-2011-2729

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Nov 2011 11:15:23 -0500

commons-daemon (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * d/control: Move Depends default-jre-headless | java2-runtime-headless from
    libcommons-daemon-java to jsvc package Recommends.
  * d/copyright: Use DEP-5 format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 10 Jul 2011 22:06:40 +0200

commons-daemon (1.0.5-2) unstable; urgency=low

  * Publish commons daemon JAR into /usr/share/maven-repo.
  * d/control: Bump Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 13 Jun 2011 19:25:17 +0200

commons-daemon (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 05 Jan 2011 22:01:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Uploaders: Michael Koch <konqueror@gmx.de>, Marcus Better <marcus@better.se>,
  Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autoconf, autotools-dev, default-jdk,
- xsltproc, docbook-xsl, ant, libcap-dev [linux-any]
+ xsltproc, docbook-xsl, ant, libcap-dev [linux-any], maven-repo-helper
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://commons.apache.org/daemon/
 Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/commons-daemon/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/commons-daemon/
 
 Package: libcommons-daemon-java
 Architecture: all
-Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless
+Depends: ${misc:Depends}
 Suggests: java-virtual-machine
 Recommends: jsvc
 Description: library to launch Java applications as daemons
@@ -32,6 +32,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcommons-daemon-java
+Recommends: default-jre-headless | java2-runtime-headless
 Description: wrapper to launch Java applications as daemons
  This is the native application for launching Java applications
  implementing certain interfaces from the libcommons-daemon-java

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_install -plib$(PKGNAME)-java dist/$(PKGNAME)-$(VERSION).jar $(JAVALIBDIR)
-	dh_link -plib$(PKGNAME)-java $(JAVALIBDIR)/$(PKGNAME)-$(VERSION).jar $(JAVALIBDIR)/$(PKGNAME).jar
+	mh_installpoms -plib$(PKGNAME)-java
+	mh_installjar -plib$(PKGNAME)-java -l pom.xml dist/$(PKGNAME)-$(VERSION).jar
 
 get-orig-source:
 	uscan --force-download --rename

## commons-daemon 1.0.7

=== debian/changelog ===
commons-daemon (1.0.7-2) unstable; urgency=low

  * Add support for s390x. Closes: #638907.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 22 Aug 2011 23:07:18 +0200

commons-daemon (1.0.7-1) unstable; urgency=high

  * New upstream security release.
  * Fix CVE-2011-2729 (jsvc does not drop
    capabilities allowing the application to access files and directories
    owned by superuser).

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 12 Aug 2011 19:36:58 +0200

## commons-daemon 1.0.8

=== debian/changelog ===
commons-daemon (1.0.8-1) unstable; urgency=low

  * New upstream release:
    - Refresh all patches.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 24 Nov 2011 19:29:26 +0100

## commons-daemon 1.0.10

=== debian/changelog ===
commons-daemon (1.0.10-2) unstable; urgency=low

  * d/control: Really drop Michael from Uploaders list.
  * d/rules: Run autoconf before configure (because patches are applied
    to apsupport.m4).
  * d/control: Wrap-and-sort fields. 

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Mar 2012 22:07:21 +0100

commons-daemon (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/rules: Enable hardening build with dpkg-buildflags.
  * d/rules: Remove old code to workaround bug in debhelper.
  * Fix "Updating the commons-daemon Uploaders list" Remove Michael Koch
    from Uploaders list (Closes: #654006). Thanks Michael!
  * d/copyright: Use copyright-format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Mar 2012 19:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: commons-daemon
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Marcus Better <marcus@better.se>,
- Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autoconf, autotools-dev, default-jdk,
- xsltproc, docbook-xsl, ant, libcap-dev [linux-any], maven-repo-helper
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Marcus Better <marcus@better.se>,
+           Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends: ant,
+               autoconf,
+               autotools-dev,
+               debhelper (>= 7.0.50~),
+               default-jdk,
+               docbook-xsl,
+               libcap-dev [linux-any],
+               maven-repo-helper,
+               xsltproc
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://commons.apache.org/daemon/
 Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/commons-daemon/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/commons-daemon/
@@ -31,7 +37,7 @@
 Package: jsvc
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcommons-daemon-java
+Depends: libcommons-daemon-java, ${misc:Depends}, ${shlibs:Depends}
 Recommends: default-jre-headless | java2-runtime-headless
 Description: wrapper to launch Java applications as daemons
  This is the native application for launching Java applications

## commons-daemon 1.0.15

=== debian/changelog ===
commons-daemon (1.0.15-12) unstable; urgency=medium

  * Team upload.
  * Apply patch for FTBFS w/GCC-15 (Closes: #1096455)
    Thank you to Florian Ernst <florian@debian.org> for the patch.
  * libcommons-daemon-java is now marked Multi-Arch: foreign
  * Update debian/watch to version 5
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Sun, 21 Sep 2025 15:33:54 -0700

commons-daemon (1.0.15-11) unstable; urgency=medium

  * Team upload.
  * Apply patch for loongarch64 (Closes: #1051976)
  * Use https URL for debian/watch

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2023 10:44:30 -0700

commons-daemon (1.0.15-10) unstable; urgency=medium

  * Team upload.
  * Correct patch for modern JVM detection (Closes: #935336)
    Thank you to Chris Hofstaedtler.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Jul 2022 20:37:07 -0700

commons-daemon (1.0.15-9) unstable; urgency=medium

  * Team upload.
  * Add patch to build on riscv64 (Closes: #1010381)
  * Update Uploaders (Closes: #889446)
  * Add patch to locate recent JDKs (Closes: #935336)
  * Update Vcs URLs to point to Salsa
  * Remove get-orig-source target from debian/rules
  * Remove unnecessary "--with autotools_dev" from dh sequencer
  * Remove Build-Depends on autotools_dev
  * Set Rules-Requires-Root: no in debian/control
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Sun, 01 May 2022 21:07:56 -0700

commons-daemon (1.0.15-8) unstable; urgency=medium

  * Team upload.
  * Fixes "Cannot find any VM in Java Home" on ppc64el. (Closes: #856560)

 -- Breno Leitao <leitao@debian.org>  Thu, 02 Mar 2017 07:51:51 -0500

commons-daemon (1.0.15-7) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Fix build failure on arm architectures by appending the ${jvm_includes}
    variable to CPPFLAGS. (Closes: #849649)
  * Vcs-fields and d/copyright: Use https.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Jan 2017 00:56:59 +0100

commons-daemon (1.0.15-6) unstable; urgency=medium

  * Team upload.
  * Add arm64 support (Closes: #726389).
  * Add ppc64el support (Closes: #762707).
    (Thank you to Colin Watson for the patch.)

  * Acknowledge NMU 1.0.15-5.1.
    Add the support for mips abi n32 and n64 (Closes: #752054)
    - Thank you to Sphinx Jiang.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Update Vcs URLs to point to git packaging repository.

 -- tony mancill <tmancill@debian.org>  Tue, 11 Nov 2014 07:01:38 -0800

commons-daemon (1.0.15-5.1) unstable; urgency=low

  * Non-maintainer upload.

  [Sphinx Jiang]
  * Add the support for mips abi n32 and n64 (Closes: #752054)

 -- YunQiang Su <syq@debian.org>  Fri, 24 Oct 2014 12:35:27 +0800

commons-daemon (1.0.15-5) unstable; urgency=medium

  * Another attempt to support Hurd

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2014 00:21:08 +0100

commons-daemon (1.0.15-4) unstable; urgency=medium

  * Added a patch defining the PATH_MAX constant to compile on Hurd
  * Revert to Java 5 source/target level
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Jan 2014 16:31:01 +0100

commons-daemon (1.0.15-3) unstable; urgency=low

  * Use canonical URLs for the Vcs-* fields
  * Generate Java 6 compatible bytecode
  * debian/rules: Improved the clean target to allow rebuilds
  * Restored the patch for s390x support

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Oct 2013 13:47:39 +0200

commons-daemon (1.0.15-2) unstable; urgency=low

  * Team upload.
  * d/control: Update Vcs-Svn URL.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Apr 2013 22:41:23 -0700

commons-daemon (1.0.15-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Removed the patches merged upstream
  * d/control: Bump Standards-Version to 3.9.4: no changes needed.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Apr 2013 10:17:55 +0200

commons-daemon (1.0.10-3) unstable; urgency=low

  * Team upload.
  * Add patch to allow dlopen to locate libcap. (Closes: #685025)

 -- tony mancill <tmancill@debian.org>  Wed, 15 Aug 2012 22:45:51 -0700

=== debian/control ===
Source: commons-daemon
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Marcus Better <marcus@better.se>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant,
               autoconf,
               debhelper-compat (= 13),
               default-jdk (>= 2:1.8),
               docbook-xsl,
               libcap-dev [linux-any],
               maven-repo-helper,
               xsltproc
Build-Conflicts: autoconf2.13
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/java-team/commons-daemon.git
Vcs-Browser: https://salsa.debian.org/java-team/commons-daemon
Homepage: https://commons.apache.org/proper/commons-daemon/
Rules-Requires-Root: no

Package: libcommons-daemon-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: java-virtual-machine
Recommends: jsvc
Description: Library to launch Java applications as daemons
 The Daemon package from Apache Commons can be used to implement Java
 applications which can be launched as daemons. For example the
 program will be notified about a shutdown so that it can perform
 cleanup tasks before its process of execution is destroyed by the
 operation system.
 .
 This package contains the java library. You will also need the actual
 binary for your architecture which is provided by the jsvc package.

Package: jsvc
Section: utils
Architecture: any
Depends: libcommons-daemon-java, ${misc:Depends}, ${shlibs:Depends}
Recommends: default-jre-headless | java2-runtime-headless
Description: Wrapper to launch Java applications as daemons
 This is the native application for launching Java applications
 implementing certain interfaces from the libcommons-daemon-java
 package as daemons.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME	:= /usr/lib/jvm/default-java
ANT_ARGS	:= -Dcompile.source=1.5 -Dcompile.target=1.5

MAN_STYLESHEET  := /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XSLTPROC 	:= xsltproc --nonet

PKGNAME		:= commons-daemon
JAVALIBDIR	:= /usr/share/java
VERSION		:= $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

NATIVE_SRC	:= src/native/unix

include /usr/share/java/java_defaults.mk
export DEB_CPPFLAGS_MAINT_APPEND = ${jvm_includes}

%:
	dh $@ --sourcedirectory=$(NATIVE_SRC) --buildsystem=autoconf

override_dh_auto_configure:
	(cd $(NATIVE_SRC); autoconf)
	dh_auto_configure -- --with-java=$(JAVA_HOME) $(shell dpkg-buildflags --export=configure)

override_dh_auto_build:
	JAVA_HOME=$(JAVA_HOME) ant $(ANT_ARGS)
	dh_auto_build
	$(XSLTPROC) $(MAN_STYLESHEET) $(NATIVE_SRC)/man/jsvc.1.xml

override_dh_auto_clean:
	JAVA_HOME=$(JAVA_HOME) ant $(ANT_ARGS) clean
	dh_auto_clean
	rm -f jsvc.1
	mh_clean
	rm -f src/native/unix/configure

override_dh_auto_install:
	dh_auto_install
	mh_installpoms -plib$(PKGNAME)-java
	mh_installjar -plib$(PKGNAME)-java -l pom.xml dist/$(PKGNAME)-$(VERSION).jar

=== debian/watch ===
Version: 5

Source: https://www.apache.org/dist/commons/daemon/source/
Matching-Pattern: commons-daemon-([\d\.]+)-src\.tar\.gz
